package fr.inria.gemo.axml.optimax.adocument;

import java.util.List;
import java.util.Set;

import fr.inria.gemo.axml.optimax.helping.ExtendedLinkedList;

public interface ADNode {
	ADNode getFather();
	ExtendedLinkedList<ADNode> getChildren();
	String toString();
	String toStringWithId();
	boolean equals(Object givenObject);
	int hashCode ();
	boolean equivalent(Object givenObject);
	StringBuffer getCurrNodeID();
	StringBuffer getCurrDocID();
	StringBuffer getCurrPeerID();
	StringBuffer getOrigNodeID();
	StringBuffer getOrigDocID();
	StringBuffer getOrigPeerID();
	void setCurrNodeID(StringBuffer newCurrNodeID);
	void setCurrDocID(StringBuffer newCurrDocID);
	void setCurrPeerID(StringBuffer newCurrPeerID);
	void setFather(ADNode givenFather);
	void setSpecificChildren(List<ADNode> givenArguments);
	int originalHashCode();
	public ExtendedLinkedList<SimpleNode> getOriginalIdWithHostAddressContainersThatPointToThisNode();
	public ADocument getReferenceToADocument();
	public void setReferenceToADocument(ADocument givenRefToADoc);
	public ADNode returnNewNodeWithNoChildrenAndFatherButWithOldCurrIds();
	public ADNode returnNewNodeWithNoChildrenAndFatherButWithNewCurrIds();
	public void removeNode();
	public void insertAsChild(ADNode givenSubTree);
	public void insertAsChildNextToGivenChild(ADNode givenSubTree, ADNode givenChild);
	public void insertAsChildInBeginning(ADNode givenSubTree);
//	nodeDataObject getnodeData();
}
