package fr.inria.gemo.axml.optimax.adocument;

import fr.inria.gemo.axml.optimax.helping.Utilities;

public class IdWithHostContainer {
	public IdContainer id;
	public String host;
	
	public IdWithHostContainer()
	{
		id = new IdContainer();
		host = new String();
	}
	
	public IdWithHostContainer(IdWithHostContainer givenIdWithHost)
	{
		id = new IdContainer(givenIdWithHost.id);
		host = new String(givenIdWithHost.host);
	}
	
	public IdWithHostContainer(IdContainer givenID, String givenHost)
	{
		id = new IdContainer(givenID);
		host = new String(givenHost);
	}
	
	public boolean isEmpty()
	{
		if(this.id.isEmpty() && this.host.length() == 0)
			return true;
		else
			return false;
	}
	
	public void setID(IdContainer givenID)
	{
		this.id = new IdContainer(givenID);
	}

	public void setHost(String givenHost)
	{
		this.host = new String(givenHost);
	}
	
	public boolean equals(Object o)
	{
		if(o instanceof IdWithHostContainer)
		{
			IdWithHostContainer givenObject = (IdWithHostContainer) o;
			if(this.id.equals(givenObject.id) && this.host.equals(givenObject.host))
				return true;
		}
		return false;
	}
	
	public int hashCode()
	{
		return Utilities.amodN(this.id.hashCode() + this.host.hashCode(), Integer.MAX_VALUE).intValue();
	}
}
