package fr.inria.gemo.axml.optimax.helping.comparators;

import java.util.Comparator;

public class ComposedComparator implements Comparator {

	Comparator c1;
	Comparator c2;
	
	public ComposedComparator(Comparator c1, Comparator c2){
		this.c1 = c1;
		this.c2 = c2;
	}
	public int compare(Object o1, Object o2) {
		int k1 = c1.compare(o1, o2);
		if (k1 != 0){
			return k1;
		}
		else{
			return c2.compare(o1, o2);
		}
	}

}
