package fr.inria.gemo.axml.optimax.info;

import java.util.HashSet;
import java.util.LinkedList;
import java.util.List;
import java.util.Set;

import fr.inria.gemo.axml.optimax.Parameters;

public class P2PInformationImpl implements P2PInformation{
	
	public List<List<String>> getComCostForEachPairOfPeers()
	{
		List<List<String>> outerList = new LinkedList<List<String>>();
		
		List<String> innerList1 = new LinkedList<String>();
		innerList1.add("any");
		innerList1.add("peer1");
		innerList1.add("1");
		outerList.add(innerList1);
		
		List<String> innerList2 = new LinkedList<String>();
		innerList2.add("any");
		innerList2.add("peer2");
		innerList2.add("1");
		outerList.add(innerList2);
		
		List<String> innerList3 = new LinkedList<String>();
		innerList3.add("any");
		innerList3.add("peer3");
		innerList3.add("1");
		outerList.add(innerList3);
		
		List<String> innerList4 = new LinkedList<String>();
		innerList4.add("any");
		innerList4.add("peer4");
		innerList4.add("1");
		outerList.add(innerList4);
		
		List<String> innerList5 = new LinkedList<String>();
		innerList5.add("peer1");
		innerList5.add("peer2");
		innerList5.add("1");
		outerList.add(innerList5);

		List<String> innerList6 = new LinkedList<String>();
		innerList6.add("peer1");
		innerList6.add("peer3");
		innerList6.add("1");
		outerList.add(innerList6);
		
		List<String> innerList7 = new LinkedList<String>();
		innerList7.add("peer1");
		innerList7.add("peer4");
		innerList7.add("1");
		outerList.add(innerList7);
		
		List<String> innerList8 = new LinkedList<String>();
		innerList8.add("peer2");
		innerList8.add("peer3");
		innerList8.add("1");
		outerList.add(innerList8);
		
		List<String> innerList9 = new LinkedList<String>();
		innerList9.add("peer2");
		innerList9.add("peer4");
		innerList9.add("1");
		outerList.add(innerList9);
		
		List<String> innerList10 = new LinkedList<String>();
		innerList10.add("peer3");
		innerList10.add("peer4");
		innerList10.add("1");
		outerList.add(innerList10);
		
		return outerList;
	}
	
	public Set<String> getAllPeerIDs()
	{
		Set<String> returningSet = new HashSet<String>();
		returningSet.add("peer1");
		returningSet.add("peer2");
		returningSet.add("peer3");
//		returningSet.add("peer4");
		return returningSet;
	}
	
	public List<List<String>> getPeerIDServiceNameEndPoint()
	{
		List<List<String>> outerList = new LinkedList<List<String>>();
		
		List<String> innerList0 = new LinkedList<String>();
		innerList0.add(Parameters.ANY);
		innerList0.add(Parameters.GQS);
		innerList0.add("http://localhost:6969/any/services/GenericQueryService");
		outerList.add(innerList0);

		List<String> innerList00 = new LinkedList<String>();
		innerList00.add(Parameters.ANY);
		innerList00.add(Parameters.STS);
		innerList00.add("http://localhost:6969/any/services/DummyStreamService");
		outerList.add(innerList00);
		
		List<String> innerList1 = new LinkedList<String>();
		innerList1.add("peer3");
		innerList1.add(Parameters.SEND);
		innerList1.add("http://localhost:6969/peer3/services/SendOperator");
		outerList.add(innerList1);
		
		List<String> innerList2 = new LinkedList<String>();
		innerList2.add("peer3");
		innerList2.add(Parameters.RECEIVE);
		innerList2.add("http://localhost:6969/peer3/services/ReceiveOperator");
		outerList.add(innerList2);
		
		List<String> innerList3 = new LinkedList<String>();
		innerList3.add("peer3");
		innerList3.add(Parameters.NEWNODE);
		innerList3.add("http://localhost:6969/peer3/services/NewNodeOperator");
		outerList.add(innerList3);
		
		List<String> innerList8 = new LinkedList<String>();
		innerList8.add("peer3");
		innerList8.add(Parameters.GQS);
		innerList8.add("http://localhost:6969/peer3/services/GenericQueryService");
		outerList.add(innerList8);
		
		List<String> innerList9 = new LinkedList<String>();
		innerList9.add("peer3");
		innerList9.add(Parameters.STS);
		innerList9.add("http://localhost:6969/peer3/services/DummyStreamService");
		outerList.add(innerList9);

		List<String> innerList11 = new LinkedList<String>();
		innerList11.add("peer1");
		innerList11.add(Parameters.SEND);
		innerList11.add("http://localhost:6969/peer1/services/SendOperator");
		outerList.add(innerList11);
		
		List<String> innerList12 = new LinkedList<String>();
		innerList12.add("peer1");
		innerList12.add(Parameters.RECEIVE);
		innerList12.add("http://localhost:6969/peer1/services/ReceiveOperator");
		outerList.add(innerList12);
		
		List<String> innerList13 = new LinkedList<String>();
		innerList13.add("peer1");
		innerList13.add(Parameters.NEWNODE);
		innerList13.add("http://localhost:6969/peer1/services/NewNodeOperator");
		outerList.add(innerList13);
		
		List<String> innerList18 = new LinkedList<String>();
		innerList18.add("peer1");
		innerList18.add(Parameters.GQS);
		innerList18.add("http://localhost:6969/peer1/services/GenericQueryService");
		outerList.add(innerList18);

		List<String> innerList19 = new LinkedList<String>();
		innerList19.add("peer1");
		innerList19.add(Parameters.STS);
		innerList19.add("http://localhost:6969/peer1/services/DummyStreamService");
		outerList.add(innerList19);
		
		List<String> innerList21 = new LinkedList<String>();
		innerList21.add("peer2");
		innerList21.add(Parameters.SEND);
		innerList21.add("http://localhost:6969/peer2/services/SendOperator");
		outerList.add(innerList21);
		
		List<String> innerList22 = new LinkedList<String>();
		innerList22.add("peer2");
		innerList22.add(Parameters.RECEIVE);
		innerList22.add("http://localhost:6969/peer2/services/ReceiveOperator");
		outerList.add(innerList22);
		
		List<String> innerList23 = new LinkedList<String>();
		innerList23.add("peer2");
		innerList23.add(Parameters.NEWNODE);
		innerList23.add("http://localhost:6969/peer2/services/NewNodeOperator");
		outerList.add(innerList23);
		
		List<String> innerList28 = new LinkedList<String>();
		innerList28.add("peer2");
		innerList28.add(Parameters.GQS);
		innerList28.add("http://localhost:6969/peer2/services/GenericQueryService");
		outerList.add(innerList28);
		
		List<String> innerList29 = new LinkedList<String>();
		innerList29.add("peer2");
		innerList29.add(Parameters.STS);
		innerList29.add("http://localhost:6969/peer2/services/DummyStreamService");
		outerList.add(innerList29);
		
//		List<String> innerList31 = new LinkedList<String>();
//		innerList31.add("peer4");
//		innerList31.add(Parameters.SEND);
//		innerList31.add("http://localhost:6969/peer4/services/SendOperator");
//		outerList.add(innerList31);
//		
//		List<String> innerList32 = new LinkedList<String>();
//		innerList32.add("peer4");
//		innerList32.add(Parameters.RECEIVE);
//		innerList32.add("http://localhost:6969/peer4/services/ReceiveOperator");
//		outerList.add(innerList32);
//		
//		List<String> innerList33 = new LinkedList<String>();
//		innerList33.add("peer4");
//		innerList33.add(Parameters.NEWNODE);
//		innerList33.add("http://localhost:6969/peer4/services/NewNodeOperator");
//		outerList.add(innerList33);
//		
//		List<String> innerList38 = new LinkedList<String>();
//		innerList38.add("peer4");
//		innerList38.add(Parameters.GQS);
//		innerList38.add("http://localhost:6969/peer4/services/GenericQueryService");
//		outerList.add(innerList38);
//		
//		List<String> innerList39 = new LinkedList<String>();
//		innerList39.add("peer4");
//		innerList39.add(Parameters.STS);
//		innerList39.add("http://localhost:6969/peer4/services/DummyStreamService");
//		outerList.add(innerList39);
		
		return outerList;
	}

}
