package fr.inria.gemo.axml.optimax.strategy;

import java.util.LinkedList;

/**
 * This class is a combination of atom + search strategy
 *
 */
public class AtomStep extends Step {
	public RuleAtom a;
	
	public AtomStep(LinkedList<SearchAlgorithmAtom> algoAtoms, RuleAtom a){
		this.algos = algoAtoms;
		this.a = a;
	}
	
	public void toString(StringBuffer sb){
		for (int i = 0; i < algos.size(); i ++){
			sb.append(algos.get(i).name);
			if (i < algos.size() - 1){
				sb.append(";");
			}
		}
		sb.append(":" + a.name);
	}
}
