package fr.inria.gemo.axml.optimax.strategy;

/**
 * This class stands for cardinality atoms of the form:
 * - * (as many as there are)
 * - n (where n is an integer, meaning explore only the first n plans)
 * @author ioana
 *
 */
public class CardinalityAtom extends Atom {
	public long max;
	
	public CardinalityAtom(String s){
		super(s);
		System.out.println("CARDINALITY_ATOM(" + s + ")");
		if (s.compareTo("*")!=0){
			max = (new Long(s)).longValue();
		}
		else{
			max = Long.MAX_VALUE;
		}
	}
	
}
