<?xml version="1.0" encoding="UTF-8" ?>
<%@ page language="java" contentType="text/html; charset=UTF-8"
    pageEncoding="UTF-8"%>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<%@page import="fr.inria.gemo.axml.ActiveXMLConstants"%>
<%@page import="fr.inria.gemo.axml.peer.ActiveXMLContext"%>
<%@page import="fr.inria.gemo.axml.ILifecycle"%>
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
<title>Active XML</title>
<style>
html, body {
font-family: Verdana;
}
</style>
</head>
<body>
<h1>Hello Active XML world!</h1>
<div> You are on the peer <big><b><%=application.getServletContextName()%></b></big> [defined in web.xml]</div>
<div>Please refer to the <a href="docs/index.html">local</a> (or the <a href="docs/redirect.html">latest</a>) documentation if you don't know what's happening</div>
<form action="axml" method="get">
<% if(((ActiveXMLContext)getServletContext().getAttribute(ActiveXMLConstants.ACTIVE_XML_CONTEXT)).getPeer() == null ||
	!ILifecycle.State.ON.equals(((ActiveXMLContext)getServletContext()
				.getAttribute(ActiveXMLConstants.ACTIVE_XML_CONTEXT)).getPeer().getState())){%>
	<p>
	<input type="submit" name="start" value="Start this peer"/>
	</p>
<%} else{%>
	<b>The peer is started</b>
	<p>
	<input type="submit" name="stop" value="Stop this peer"/>
	</p>
	<p>
	<input type="submit" name="sync" value="Sync with repository"/> <small>[for stored/removed active documents]</small>
	</p>
	<p>
	<a href='axml-web/activation.xhtml' target="_blank">Open frame in new window</a><br/>
	<iframe src="axml-web/activation.xhtml" width="100%" height="300">
	</iframe>
	</p>	
<%}%>
</form>
<hr/>
<a href="webdav/examples/">Browse examples</a>, try installing them in <b>/<%=getServletContext().getServletContextName()%></b> repository
<hr/>
<table width="100%">
<tr>
<td>Browse repository (eXist): <b>admin/exist</b><br/>
or <a href="http://demo.exist-db.org/webstart/exist.jnlp">JAVA interface</a>, use the db URL <b>xmldb:exist://localhost:6969/exist/xmlrpc</b>
</td>
<td>Browse Web services (Axis2): <b>admin/axis2</b><br/>
A "Version" service is installed by default. Call it REST style <a href="services/Version/getVersion">http://localhost:6969/<%=getServletContext().getServletContextName()%>/services/Version/getVersion</a></td>
</tr>
<tr>
<td width="60%">
<a href='../exist/admin/admin.xql' target="_blank">Open frame in new window</a><br/>
<iframe src="../exist/admin/admin.xql" width="100%" height="600">
</iframe>
</td>
<td>
<a href='axis2-web' target="_blank">Open frame in new window</a><br/>
<iframe src="axis2-web" width="100%" height="600">
</iframe>
</td>
</tr>
</table>
<!--
<div>Use VOILA tool for creating declarative Web services. It is placed in the subfolder of the distribution. (*.bat files only for Windows)</div>
-->
</body>
</html>