package fr.inria.gemo.axml.optimax.adocument;

public class RuleDescriptionContainer {
	public String nameOfRule;
	public int numberOfOldADoc;
	public int numberOfNewADoc;
	public String arg1;
	public String arg2;
	public boolean decreasesCost;
	public boolean increasesCost;
	public float oldCost;
	public float newCost;
	
	RuleDescriptionContainer()
	{
		nameOfRule = new String();
		arg1 = new String();
		arg2 = new String();
		decreasesCost = false;
		increasesCost = false;
	}
	
	public String toString()
	{
		StringBuffer returningString = new StringBuffer();
		returningString.append(numberOfOldADoc);
		returningString.append("-");
		returningString.append(nameOfRule);
		returningString.append("(");
		returningString.append(arg1);
		returningString.append(",");
		returningString.append(arg2);
		returningString.append(")");
		returningString.append("->");
		returningString.append(numberOfNewADoc);
		
		return returningString.toString();
	}
	
	public boolean equals(Object o)
	{
		if(!(o instanceof RuleDescriptionContainer))
			return false;
		
		RuleDescriptionContainer rdcO = (RuleDescriptionContainer) o;
		if(this.nameOfRule.equals(rdcO.nameOfRule))
		{
			if(this.numberOfOldADoc == rdcO.numberOfOldADoc)
			{
				if(this.numberOfNewADoc == rdcO.numberOfNewADoc)
				{
					if(this.arg1.equals(rdcO.arg1))
					{
						if(this.arg2.equals(rdcO.arg2))
						{
							if(this.decreasesCost == rdcO.decreasesCost)
							{
								if(this.increasesCost = rdcO.increasesCost)
									return true;
							}
						}
					}
				}
			}
		}
		return false;
	}
	
	public int hashCode()
	{
		int returningVal = 0;
		returningVal += this.nameOfRule.hashCode();
		returningVal += this.numberOfOldADoc;
		returningVal += this.numberOfNewADoc;
		returningVal += this.arg1.hashCode();
		returningVal += this.arg2.hashCode();
		
		return returningVal;
	}
}
