package fr.inria.gemo.axml.optimax.helping.comparators;

import java.util.Comparator;

import fr.inria.gemo.axml.optimax.adocument.ADocument;

public class ComparatorSearchBreadth implements Comparator<ADocument>{
	public int compare(ADocument emp1, ADocument emp2)
	{
		Integer numberOfRewritings1 = emp1.getNumberOfRewritings();
		Integer numberOfRewritings2 = emp2.getNumberOfRewritings();
		
		return numberOfRewritings2.compareTo(numberOfRewritings1);
	}
}
