package fr.inria.gemo.axml.optimax.strategy;

import java.util.ArrayList;
import java.util.LinkedList;

public class RepetitionStep extends Step{

	public ArrayList<RuleAtom> atoms;
	public CardinalityAtom card;
	
	public RepetitionStep(LinkedList<SearchAlgorithmAtom> algoAtoms, ArrayList<RuleAtom>as, CardinalityAtom c){
		this.algos = algoAtoms;
		this.atoms = as;
		this.card = c;
	}
	
	public void toString(StringBuffer sb){
		for (int i = 0; i < algos.size(); i ++){
			sb.append(algos.get(i).name);
			if (i < algos.size() - 1){
				sb.append(";");
			}
		}
		sb.append(":(");
		for (int i = 0; i < atoms.size(); i ++){
			sb.append(atoms.get(i).name);
			if (i < atoms.size() - 1){
				sb.append("|");
			}
		}
		sb.append(")");
		sb.append(card.name);
	}
}

