(:
    Search for XML schemas in database.

    Parameters:
    - $collection      top level collection to start searching
    - $targetNamespace target namespace of schema 

    Returns:
    Sequence of document-uris.
    
    $Id: find_schema_by_targetNamespace.xq 5915 2007-05-28 16:52:11Z dizzzz $
:)
for $schema in collection($collection)//xs:schema[@targetNamespace = $targetNamespace ] 
return document-uri($schema)